import { jsx as o, Fragment as c } from "@emotion/react/jsx-runtime";
import s from "react";
import { PointsFormatter as a } from "../../../formatters/PointsFormatter/PointsFormatter.js";
const F = (t) => {
  const { Component: n = s.Fragment } = t, r = t.fieldValue, i = t.fieldUnit;
  return (m) => {
    const { childRows: e } = m;
    if (e.length === 0)
      return /* @__PURE__ */ o(c, { children: "-" });
    const l = e[0];
    return /* @__PURE__ */ o(
      a,
      {
        obProps: l,
        ...t,
        fieldValue: r,
        fieldUnit: i,
        Component: n
      }
    );
  };
};
export {
  F as ColumnPointsGroupFormatter
};
